# CbcSimpleIntegerFixed Class Reference

Define a single integer class where branching is forced until fixed. More...

`#include <CbcBranchUser.hpp>`

Inheritance diagram for CbcSimpleIntegerFixed:
[legend]
Collaboration diagram for CbcSimpleIntegerFixed:
[legend]

List of all members.

## Public Member Functions
| CbcSimpleIntegerFixed ()
| CbcSimpleIntegerFixed (CbcModel *model, int iColumn, double breakEven=0.5)
| CbcSimpleIntegerFixed (const CbcSimpleInteger &simple)
| CbcSimpleIntegerFixed (const CbcSimpleIntegerFixed &)
virtual CbcObject * | clone () const
| Clone.
CbcSimpleIntegerFixed & | operator= (const CbcSimpleIntegerFixed &rhs)
| ~CbcSimpleIntegerFixed ()
virtual double | infeasibility (int &preferredWay) const
| Infeasibility - large is 0.5.
virtual CbcBranchingObject * | createBranch (OsiSolverInterface *solver, const OsiBranchingInformation *info, int way)
| Creates a branching object.

## Detailed Description

Define a single integer class where branching is forced until fixed.

Definition at line 64 of file CbcBranchUser.hpp.

## Constructor & Destructor Documentation

CbcSimpleIntegerFixed::CbcSimpleIntegerFixed | ( |  | ) |

CbcSimpleIntegerFixed::CbcSimpleIntegerFixed | ( | CbcModel * | model,
|  | int | iColumn,
|  | double | breakEven = `0.5` |
| ) |  |  |

CbcSimpleIntegerFixed::CbcSimpleIntegerFixed | ( | const CbcSimpleInteger & | simple | ) |

CbcSimpleIntegerFixed::CbcSimpleIntegerFixed | ( | const CbcSimpleIntegerFixed & |  | ) |

CbcSimpleIntegerFixed::~CbcSimpleIntegerFixed | ( |  | ) |

## Member Function Documentation

virtual CbcObject* CbcSimpleIntegerFixed::clone | ( |  | ) | const`[virtual]`

Clone.

Reimplemented from CbcSimpleInteger.

CbcSimpleIntegerFixed& CbcSimpleIntegerFixed::operator= | ( | const CbcSimpleIntegerFixed & | rhs | ) |

Reimplemented from CbcSimpleInteger.

virtual double CbcSimpleIntegerFixed::infeasibility | ( | int & | preferredWay | ) | const`[virtual]`

Infeasibility - large is 0.5.

Reimplemented from CbcObject.

virtual CbcBranchingObject* CbcSimpleIntegerFixed::createBranch | ( | OsiSolverInterface * | solver,
|  | const OsiBranchingInformation * | info,
|  | int | way |
| ) |  |  | `[virtual]`

Creates a branching object.

The preferred direction is set by `way`, -1 for down, +1 for up. Create a branching object and indicate which way to branch first.

The branching object has to know how to create branches (fix variables, etc.)

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.8.0/Cbc/examples/CbcBranchUser.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines